<template>
  <div style="padding: 20px;">
    <el-tabs v-model="activeName" @tab-click="handleClick">
      <el-tab-pane name="device">
        <span slot="label"><i class="el-icon-coin"></i> 设备信息维护</span>
        <device></device>
      </el-tab-pane>
      <el-tab-pane name="point">
        <span slot="label"><i class="el-icon-place"></i> 点位信息维护</span>
        <point></point>
      </el-tab-pane>
      <el-tab-pane name="alarmPush">
        <span slot="label"><i class="el-icon-position"></i> 报警上报日志</span>
        <alarmPush></alarmPush>
      </el-tab-pane>
      <el-tab-pane name="smsLog">
        <span slot="label"><i class="el-icon-chat-line-square"></i> 短信推送日志</span>
        <smsLog></smsLog>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import device from "./device.vue"
import point from "./point.vue"
import alarmPush from "./alarmPush.vue"
import smsLog from "./smsLog.vue"

export default {
  components: {
    device,
    point,
    alarmPush,
    smsLog
  },
  data() {
    return {
      activeName: "device"
    }
  },
  created() {},
  mounted() {},
  methods: {
    handleClick(tab, event) {
      // console.log(tab, event, this.activeName)
    }
  }
}
</script>

<style scoped lang="scss"></style>

<style></style>
